// 虽然字段很少 但是抽离出来 后续有扩展字段需求就很方便了

interface FormItemProps {
  id: number;
  name: string;
  parameterDefine: string;
  gatewayType: number;
  status: number;
  createTime: string;
  remark: string;
  createBy: string;
  attrList?: Array<attrItemProps>;
}

/** 动态属性类型 */
interface attrItemProps {
  name?: string;
  desc?: string;
  type?: string;
  required?: boolean;
  encrypt?: boolean;
  values?: string;
  titles?: string;
  dataList?: Array<dataListItem>;
}
interface FormProps {
  formInline: FormItemProps;
}
interface dataListItem {
  label: string;
}

export type { FormItemProps, FormProps, attrItemProps };
