// 虽然字段很少 但是抽离出来 后续有扩展字段需求就很方便了

interface FormItemProps {
  id?: number;
  /** 网关名称 */
  gatewayName: string;
  /** 网关类型 */
  gatewayType: number;
  /** 网关消息参数定义id */
  parameterDefineId: number;
  /** 网关消息参数 */
  parameter: string;
  /** 状态 */
  status: boolean;
  /** 是否默认 */
  default: string;
  /** 备注 */
  remark: string;
  extendData?: string;
}
interface FormProps {
  formInline: FormItemProps;
}

export type { FormItemProps, FormProps };
