import { http } from "@/utils/http";

type Result = {
  success: boolean;
  data?: Array<any>;
};

type ResultTable = {
  success: boolean;
  data?: {
    /** 列表数据 */
    records: Array<any>;
    /** 总条目数 */
    total?: number;
    /** 每页显示条目个数 */
    pageSize?: number;
    /** 当前页数 */
    pageNum?: number;
  };
};
/** 获取系统管理-用户管理列表 */
export const fetchMessageType = (data?: object) => {
  return http.request<ResultTable>("get", "/fetchMessageType", { data });
};
