import messageGatewayApi from "@/api/messagePlatform/messageGateway";
import { onMounted, ref } from "vue";
export default function (newFormInline) {
  const dataList = ref([]);

  const changeSendType = async (index:number,gatewayType:number) => {
    const { data} = await messageGatewayApi.fetch({pageSize:1000,pageNum:1,gatewayType})
    dataList.value = data.records
    console.log(index);

    newFormInline.value.sendTypeList[index].gatewayList = data.records
  }
  onMounted(() => {
    // onSearch();
    changeSendType(0,0)
    changeSendType(1,1)
    changeSendType(2,2)
    changeSendType(3,3)
    changeSendType(4,4)
    changeSendType(5,5)
  });

  return {
    dataList,
    changeSendType
  };
}
