import { fetchDynamicData } from "@/api/messagePlatform/gateway";
import { onMounted, ref } from "vue";
export default function () {
  const dataList = ref([]);
  const onSearch = async () => {
    const {
      data: { records }
    } = await fetchDynamicData();
    dataList.value = records;
  };

  onMounted(() => {
    onSearch();
  });

  return {
    dataList
  };
}
